# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_Pattern Class Reference

a general pattern model

`#include <TDataStd_Pattern.hxx>`

Inheritance diagram for TDataStd_Pattern:

[legend]

## Public Member Functions

Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
virtual Standard_EXPORT const Standard_GUID & | PatternID () const =0
| Returns the ID of the attribute. .
virtual Standard_EXPORT Standard_Integer | NbTrsfs () const =0
| Give the number of transformation .
virtual Standard_EXPORT void | ComputeTrsfs (TDataStd_Array1OfTrsf &Trsfs) const =0
| Give the transformations .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()

## Member Function Documentation

virtual Standard_EXPORT void TDataStd_Pattern::ComputeTrsfs | ( | TDataStd_Array1OfTrsf & | Trsfs | ) | const`[pure virtual]`

| Implemented in TDataStd_PatternStd.

static Standard_EXPORT const Standard_GUID& TDataStd_Pattern::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_Pattern::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute. Reimplemented in TDataStd_PatternStd.

Standard_EXPORT const Standard_GUID& TDataStd_Pattern::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT Standard_Integer TDataStd_Pattern::NbTrsfs | ( |  | ) | const`[pure virtual]`

| Implemented in TDataStd_PatternStd.

virtual Standard_EXPORT const Standard_GUID& TDataStd_Pattern::PatternID | ( |  | ) | const`[pure virtual]`

| Implemented in TDataStd_PatternStd.

The documentation for this class was generated from the following file:

- TDataStd_Pattern.hxx